#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	enum

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		python%{PVER}-%{original_name}
Version:	0.4.4
Release:	2
Summary:	Robust enumerated type support in Python
Group:		Development/Languages
License:	GPLv2+ or Python
URL:		http://cheeseshop.python.org/pypi/enum/
Source0:	http://pypi.python.org/packages/source/e/enum/enum-%{version}.tar.gz
Source1:	python-%{original_name}-README.txt
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	python%{PVER}
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-setuptools
Provides:	enum = %{version}-%{release}
Obsoletes:	enum <= %{version}-%{release}
Obsoletes:	python-enum <= %{version}-%{release}
Obsoletes:	python25-enum

%description
This package provides a module for robust enumerations in Python.

%prep
%setup -q -n %{original_name}-%{version}
cp -p %{SOURCE1} README

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

# Don' remove *.egg-info dirs!
#rm -Rf $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

%clean
rm -Rf $RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_DIR/%{original_name}*

%files
%defattr(-,root,root,-)
%doc LICENSE.GPL LICENSE.PSF PKG-INFO README
%{python_sitelib}

%changelog
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 0.4.4-2
- Version update, build against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 0.4.4-1
- Version update, build against python25-2.5.4-3
* Tue Apr 28 2009 Christian Metzen <metzench@ccux-linux.de> 0.4.3-1
- Initial CCux package release
